package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EvaluateDTO implements Serializable {

    private static final long serialVersionUID = 2178904797700518635L;

    private DynamicContentDTO dynamicContentDTO;

    private DynamicCommentDTO dynamicCommentDTO;

    /**
     * 唯一标识
     */
    private Long id;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 用户标识
     */
    private Long targetUserId;

    /**
     * 操作类型：1-点赞；2-踩；3-动态评论
     */
    private Integer operaterType;

    /**
     * 内容类型：1-动态；2-评论/回复
     */
    private Integer contentType;

    /**
     * 内容标识
     */
    private Long contentId;

    /**
     * 类型 1：评论消息；2-点赞消息
     */
    private Integer type;

    /**
     * 时间
     */
    private LocalDateTime createTime;
}
