package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import com.chelvc.cloud.vehicle.api.constant.GoodsStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Woody
 * @date 2023/8/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsQueryParam implements Serializable {
    /**
     * 商品分类类型
     */
    private CategoryType type;
    /**
     * 分类ID
     */
    private Long categoryId;

    /**
     * 偏移商品ID
     */
    @Min(value = 1, message = "偏移商品ID不能小于1")
    private Long offset;

    /**
     * 查询数量
     */
    @NotNull(message = "查询数量不能为空")
    @Min(value = 1, message = "查询数量不能小于1")
//    @Max(value = 20, message = "查询数量不能大于20")
    private Integer size;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品状态
     */
    private GoodsStatus status;
    /**
     * 商家ID
     */
    private Long merchantId;
}
