package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.server.entity.CurrencyRecord;

import java.math.BigDecimal;

/**
 * 收益流水记录表操作接口
 *
 * @author liude
 * @date 2024/03/15
 */
public interface CurrencyRecordService extends IService<CurrencyRecord> {

    /**
     * 记录用户流水
     * @param userId 用户id
     * @param type 类型：0-平台；1-用户；2-商户
     * @param currencyType 流水类型：0-收入；1-支出
     * @param orderId 订单id
     * @param sourceId 来源id
     * @param sourceType 类型：-1-提现；0-商品出售；1-用户分佣；2-商户分佣；3-平台分佣；4-商家所得
     * @param amount 操作金额
     * @param deduct 扣除金额：提现-手续费；分佣扣税
     * @param realityAmount 实际金额
     */
    void recordFlow(Long userId, Integer type, Integer currencyType, Long orderId, Long sourceId, Integer sourceType,
                    BigDecimal amount, BigDecimal deduct, BigDecimal realityAmount);
}
