package com.chelvc.cloud.vehicle.server.service.impl;

import com.chelvc.cloud.vehicle.api.dto.RegionDTO;
import com.chelvc.cloud.vehicle.api.service.CommonService;
import com.chelvc.cloud.vehicle.server.dao.RegionMapper;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.CommonService.class)
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CommonServiceImpl implements CommonService {

    private final RegionMapper regionMapper;

    @Override
    public List<RegionDTO> getRegionByPid(Integer pid) {
        if(pid == null){
            pid = 100000;
        }
        return regionMapper.getRegionByPid(pid);
    }
}
